Upgrade catalog applications using the CLI and UI

Prerequisites

  • Ensure your clusters run on a supported Kubernetes version for this release of DKP, and that said Kubernetes version is also compatible with your catalog application version.

  • For customers with an Enterprise license and a multi-cluster environment, we recommend keeping all clusters on the same Kubernetes version. This ensures your DKP catalog application can run on all clusters in a given workspace.

Upgrade Catalog Applications

Before upgrading also, keep in mind the distinction between Platform applications and Catalog applications. Platform applications are deployed and upgraded as a set for each cluster or workspace. Catalog applications are deployed separately, so that you can deploy and upgrade them individually for each project.

If you are running on an air-gapped environment with catalog applications, ensure you have updated your catalog repository before upgrading. The catalog repository should contain the Docker registry containing the DKP catalog application images and a charts bundle file containing DKP catalog applications charts.

Catalog applications must be upgraded to the latest version BEFORE upgrading the Kubernetes version (or Konvoy version for managed Konvoy clusters) on attached clusters, due to the previous versions' incompatibility with Kubernetes 1.22.

Upgrade with UI

Follow these steps to upgrade an application from the DKP UI:

  1. From the top menu bar, select your target workspace.

  2. Select Applications from the sidebar menu.

  3. Select the three dot button from the bottom-right corner of the desired application tile, and then select Edit.

  4. Select the Version drop-down, and select a new version. This drop-down will only be available if there is a newer version to upgrade to.

  5. Select Save.

Upgrade with CLI

dkp upgrade catalogapp <appdeployment-name> --workspace=my-workspace --to-version=<version.number>
CODE

For example, the following command upgrades the Kafka Operator application, named kafka-operator-abc, in a workspace to version 0.20.2:

dkp upgrade catalogapp kafka-operator-abc --workspace=my-workspace --to-version=0.20.2
CODE

Platform applications cannot be upgraded on a one-off basis, and must be upgraded in a single process for each workspace. If you attempt to upgrade a platform application with these commands, you receive an error and the application is not upgraded.